import { ReducersMapObject } from 'redux';
import { AwaitControlInitializer, Context } from './types';
export default class AwaitControl {
    private static control;
    baseContext: Context;
    keyReducer: string;
    extractState: (s: any) => (key: string) => any;
    static init(config?: AwaitControlInitializer): AwaitControl;
    static getControl(): AwaitControl;
    private constructor();
    mix<S>(reducers: ReducersMapObject<S, any>): ReducersMapObject<S, any>;
}
